[Haskell-cafe] trouble compiling Crypto-4.2.0 / trouble with cabal

mf-hcafe-15c311f0c at etc-network.de mf-hcafe-15c311f0c at etc-network.de
Sun Sep 13 13:54:26 EDT 2009


Cabal is still fighting me all the time.  Its latest move is to be
oblivious of some of the installed packages:

$ cabal unpack crypto
Unpacking Crypto-4.2.0...
$ cd Crypto-4.2.0/
$ runghc ./Setup.hs configure --prefix=/tmp2/
Configuring Crypto-4.2.0...
Setup.hs: At least the following dependencies are missing:
HUnit -any, QuickCheck -any
$ ghc-pkg list | grep -i -e '\(cabal\|hunit\)'
    Cabal-, array-, base-, base-,
    HTTP-4000.0.8, HUnit-, ObjectName-, OpenGL-,

My ghc version is  (Perhaps I should go get myself a
more stable version?)

How does Cabal find its packages other than by ghc-pkg?  I read the
documentation, and did a quick search, but came up empty-handed.


More information about the Haskell-Cafe mailing list